/********* PluginImpl.m Cordova Plugin Implementation *******/

#import <Cordova/CDV.h>

@interface PluginImpl : CDVPlugin {
  // Member variables go here.
}

- (void)getDate:(CDVInvokedUrlCommand*)command;
@end

@implementation PluginImpl

- (void)getDate:(CDVInvokedUrlCommand*)command
{
    CDVPluginResult* pluginResult = nil;
    NSString* echo = [command.arguments objectAtIndex:0];

    if (echo != nil && [echo length] > 0) {
    	NSString *separator = @" - ";
    	echo = [echo stringByAppendingString:separator];
    
    	NSDateFormatter *formatter = [[NSDateFormatter alloc] init];
    	formatter.dateFormat = @"dd-MM-yyyy hh:mm:ss";
    	NSString *dateString = [formatter stringFromDate:[NSDate date]];
    
    	NSString *result = [echo stringByAppendingString:dateString];

        pluginResult = [CDVPluginResult resultWithStatus:CDVCommandStatus_OK messageAsString:result];
    } else {
        pluginResult = [CDVPluginResult resultWithStatus:CDVCommandStatus_ERROR];
    }

    [self.commandDelegate sendPluginResult:pluginResult callbackId:command.callbackId];
}

@end
